import QtQuick 2.1
import QtQuick.Controls 1.1
import QtQuick.Controls.Styles 1.1
import QtQuick.Layouts 1.1

Rectangle {
    color: "black"

    ListModel {
        id: pixModel

        ListElement {
            imagePath: "RS-pic1-final.jpg";
            explanatoryText: ""
            visible: true
        }
        ListElement {
            imagePath: "RS-pic1b-final.jpg";
            explanatoryText: ""
            visible: true
        }
        ListElement {
            imagePath: "RS-pic2-final.jpg";
            explanatoryText: ""
            visible: true
        }
        ListElement {
            imagePath: "RS-pic3-final.jpg";
            explanatoryText: ""
            visible: true
        }
        ListElement {
            imagePath: "RS-pic4-final.jpg";
            explanatoryText: ""
            visible: true
        }
        ListElement {
            imagePath: "RS-pic5-final.jpg";
            explanatoryText: ""
            visible: true
        }
        ListElement {
            imagePath: "RS-pic6-final.jpg";
            explanatoryText: ""
            visible: true
        }
    }
    Component {
        id: pixDelegate
        Rectangle {
            id: photoFrame
            width: root.width
            height: root.height
            border.color: "black"
            border.width: 2
            color: "black"
            smooth: true
            antialiasing: true
            //x: 0.5*root.width - defaultSize
            //y: 0.5*root.height - defaultSize
            //rotation: Math.random() * 13 - 6
            Image {
                id: image
                anchors.centerIn: parent
                anchors.fill: parent
                fillMode: Image.PreserveAspectFit
                source: "images/zoom/"+imagePath
                //scale: 1.0
                antialiasing: true
            }
            // PinchArea {
            //     anchors.fill: image
            //     pinch.target: photoFrame
            //     pinch.minimumRotation: -360
            //     pinch.maximumRotation: 360
            //     pinch.minimumScale: 0.1
            //     pinch.maximumScale: 10
            //     onPinchFinished: photoFrame.border.color = "black";
            // }
        }
    }


    ListView {
        anchors.fill: parent
        model: pixModel
        delegate: pixDelegate
        orientation: Qt.Horizontal
        snapMode: ListView.SnapOneItem
    }
}
